## r-cran-ranger 0.11.1

=== DESCRIPTION ===
Package: ranger
Type: Package
Title: A Fast Implementation of Random Forests
Version: 0.11.1
Date: 2019-01-24
Author: Marvin N. Wright [aut, cre], Stefan Wager [ctb], Philipp Probst [ctb]
Maintainer: Marvin N. Wright <cran@wrig.de>
Description: A fast implementation of Random Forests, particularly suited for high
          dimensional data. Ensembles of classification, regression, survival and
          probability prediction trees are supported. Data from genome-wide association
          studies can be analyzed efficiently. In addition to data frames, datasets of
          class 'gwaa.data' (R package 'GenABEL') and 'dgCMatrix' (R package 'Matrix') 
          can be directly analyzed.
License: GPL-3
Imports: Rcpp (>= 0.11.2), Matrix
LinkingTo: Rcpp, RcppEigen
Depends: R (>= 3.1)
Suggests: survival, testthat
RoxygenNote: 6.1.1
URL: https://github.com/imbs-hl/ranger
BugReports: https://github.com/imbs-hl/ranger/issues
NeedsCompilation: yes
Packaged: 2019-01-24 12:42:26 UTC; wright
Repository: CRAN
Date/Publication: 2019-01-24 13:50:03 UTC

## r-cran-ranger 0.10.1

=== debian/changelog ===
r-cran-ranger (0.10.1-1) unstable; urgency=medium

  * Initial release (closes: #904835)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sat, 28 Jul 2018 18:17:45 +0200

=== debian/control ===
Source: r-cran-ranger
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.11.2),
               r-cran-matrix,
               r-cran-rcppeigen
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ranger
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ranger.git
Homepage: https://cran.r-project.org/package=ranger

Package: r-cran-ranger
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Fast Implementation of Random Forests
 A fast implementation of Random Forests, particularly suited for high
 dimensional data. Ensembles of classification, regression, survival and
 probability prediction trees are supported. Data from genome-wide association
 studies can be analyzed efficiently. In addition to data frames, datasets of
 class 'gwaa.data' (R package 'GenABEL') and 'dgCMatrix' (R package 'Matrix')
 can be directly analyzed.

## r-cran-ranger 0.11.1

=== debian/changelog ===
r-cran-ranger (0.11.1-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 30 Jan 2019 07:25:05 +0100

r-cran-ranger (0.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 22 Jan 2019 11:19:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: r-cran-ranger
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
+Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 0.11.2),
                r-cran-matrix,
                r-cran-rcppeigen
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ranger
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ranger.git
 Homepage: https://cran.r-project.org/package=ranger

## r-cran-ranger 0.11.2

=== debian/changelog ===
r-cran-ranger (0.11.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jul 2019 13:41:54 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.11.2),
+               r-cran-rcpp,
                r-cran-matrix,
                r-cran-rcppeigen
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ranger
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ranger.git
 Homepage: https://cran.r-project.org/package=ranger

## r-cran-ranger 0.12.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ranger
 Type: Package
 Title: A Fast Implementation of Random Forests
-Version: 0.11.1
-Date: 2019-01-24
+Version: 0.12.1
+Date: 2020-01-10
 Author: Marvin N. Wright [aut, cre], Stefan Wager [ctb], Philipp Probst [ctb]
 Maintainer: Marvin N. Wright <cran@wrig.de>
 Description: A fast implementation of Random Forests, particularly suited for high
@@ -16,10 +16,11 @@
 LinkingTo: Rcpp, RcppEigen
 Depends: R (>= 3.1)
 Suggests: survival, testthat
-RoxygenNote: 6.1.1
+Encoding: UTF-8
+RoxygenNote: 7.0.2
 URL: https://github.com/imbs-hl/ranger
 BugReports: https://github.com/imbs-hl/ranger/issues
 NeedsCompilation: yes
-Packaged: 2019-01-24 12:42:26 UTC; wright
+Packaged: 2020-01-10 10:12:51 UTC; wright
 Repository: CRAN
-Date/Publication: 2019-01-24 13:50:03 UTC
+Date/Publication: 2020-01-10 17:50:05 UTC

=== debian/changelog ===
r-cran-ranger (0.12.1-3) unstable; urgency=medium

  * Add upstream patch to fix failing tests on non-amd64 arches
     (Closes: #949361)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 08 May 2020 17:22:06 +0200

r-cran-ranger (0.12.1-2) unstable; urgency=medium

  * Add patch to skip a test if running on non x86_64 architectures.
  * Standards-Version: 4.5.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 17 Apr 2020 22:21:51 +0200

r-cran-ranger (0.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Add autopkgtest and salsa-ci

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jan 2020 11:59:09 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                r-cran-matrix,
                r-cran-rcppeigen
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ranger
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ranger.git
 Homepage: https://cran.r-project.org/package=ranger
+Rules-Requires-Root: no
 
 Package: r-cran-ranger
 Architecture: any

## r-cran-ranger 0.13.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ranger
 Type: Package
 Title: A Fast Implementation of Random Forests
-Version: 0.12.1
-Date: 2020-01-10
+Version: 0.13.1
+Date: 2021-07-14
 Author: Marvin N. Wright [aut, cre], Stefan Wager [ctb], Philipp Probst [ctb]
 Maintainer: Marvin N. Wright <cran@wrig.de>
 Description: A fast implementation of Random Forests, particularly suited for high
@@ -15,12 +15,12 @@
 Imports: Rcpp (>= 0.11.2), Matrix
 LinkingTo: Rcpp, RcppEigen
 Depends: R (>= 3.1)
-Suggests: survival, testthat
+Suggests: covr, survival, testthat
 Encoding: UTF-8
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.1
 URL: https://github.com/imbs-hl/ranger
 BugReports: https://github.com/imbs-hl/ranger/issues
 NeedsCompilation: yes
-Packaged: 2020-01-10 10:12:51 UTC; wright
+Packaged: 2021-07-14 10:10:00 UTC; wright
 Repository: CRAN
-Date/Publication: 2020-01-10 17:50:05 UTC
+Date/Publication: 2021-07-14 11:20:02 UTC

=== debian/changelog ===
r-cran-ranger (0.13.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

  [ Nilesh Patra ]
  * d/p/949361.patch: Drop patch, which is present upstream already
  * d/rules: Fix permissions of CITATION and ranger.h

 -- Nilesh Patra <nilesh@debian.org>  Tue, 21 Sep 2021 16:40:50 +0530

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                r-cran-matrix,
                r-cran-rcppeigen
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ranger
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ranger.git
 Homepage: https://cran.r-project.org/package=ranger

## r-cran-ranger 0.14.1

=== debian/changelog ===
r-cran-ranger (0.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 24 Jun 2022 08:51:22 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-rcpp,
                r-cran-matrix,
                r-cran-rcppeigen
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ranger
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ranger.git
 Homepage: https://cran.r-project.org/package=ranger

## r-cran-ranger 0.15.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ranger
 Type: Package
 Title: A Fast Implementation of Random Forests
-Version: 0.13.1
-Date: 2021-07-14
+Version: 0.15.1
+Date: 2023-04-03
 Author: Marvin N. Wright [aut, cre], Stefan Wager [ctb], Philipp Probst [ctb]
 Maintainer: Marvin N. Wright <cran@wrig.de>
 Description: A fast implementation of Random Forests, particularly suited for high
@@ -15,12 +15,12 @@
 Imports: Rcpp (>= 0.11.2), Matrix
 LinkingTo: Rcpp, RcppEigen
 Depends: R (>= 3.1)
-Suggests: covr, survival, testthat
+Suggests: survival, testthat
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.2
 URL: https://github.com/imbs-hl/ranger
 BugReports: https://github.com/imbs-hl/ranger/issues
 NeedsCompilation: yes
-Packaged: 2021-07-14 10:10:00 UTC; wright
+Packaged: 2023-04-03 08:05:45 UTC; wright
 Repository: CRAN
-Date/Publication: 2021-07-14 11:20:02 UTC
+Date/Publication: 2023-04-03 09:20:03 UTC

=== debian/changelog ===
r-cran-ranger (0.15.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 16:57:57 +0200

## r-cran-ranger 0.16.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ranger
 Type: Package
 Title: A Fast Implementation of Random Forests
-Version: 0.15.1
-Date: 2023-04-03
+Version: 0.16.0
+Date: 2023-11-09
 Author: Marvin N. Wright [aut, cre], Stefan Wager [ctb], Philipp Probst [ctb]
 Maintainer: Marvin N. Wright <cran@wrig.de>
 Description: A fast implementation of Random Forests, particularly suited for high
@@ -17,10 +17,11 @@
 Depends: R (>= 3.1)
 Suggests: survival, testthat
 Encoding: UTF-8
-RoxygenNote: 7.2.2
-URL: https://github.com/imbs-hl/ranger
+RoxygenNote: 7.2.3
+URL: http://imbs-hl.github.io/ranger/,
+        https://github.com/imbs-hl/ranger
 BugReports: https://github.com/imbs-hl/ranger/issues
 NeedsCompilation: yes
-Packaged: 2023-04-03 08:05:45 UTC; wright
+Packaged: 2023-11-10 18:34:21 UTC; wright
 Repository: CRAN
-Date/Publication: 2023-04-03 09:20:03 UTC
+Date/Publication: 2023-11-12 20:13:19 UTC

=== debian/changelog ===
r-cran-ranger (0.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 16:33:51 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-rcpp,
                r-cran-matrix,
                r-cran-rcppeigen
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ranger
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ranger.git
 Homepage: https://cran.r-project.org/package=ranger

## r-cran-ranger 0.17.0

=== DESCRIPTION ===
Package: ranger
Type: Package
Title: A Fast Implementation of Random Forests
Version: 0.17.0
Date: 2024-11-08
Authors@R: c(
    person("Marvin N.", "Wright", email = "cran@wrig.de", role = c("aut", "cre")),
    person("Stefan", "Wager", role = "ctb"),
    person("Philipp", "Probst", role = "ctb"))
Description: A fast implementation of Random Forests, particularly suited for high
          dimensional data. Ensembles of classification, regression, survival and
          probability prediction trees are supported. Data from genome-wide association
          studies can be analyzed efficiently. In addition to data frames, datasets of
          class 'gwaa.data' (R package 'GenABEL') and 'dgCMatrix' (R package 'Matrix') 
          can be directly analyzed.
License: GPL-3
Imports: Rcpp (>= 0.11.2), Matrix
LinkingTo: Rcpp, RcppEigen
Depends: R (>= 3.1)
Suggests: survival, testthat
Encoding: UTF-8
RoxygenNote: 7.3.2
URL: https://imbs-hl.github.io/ranger/,
        https://github.com/imbs-hl/ranger
BugReports: https://github.com/imbs-hl/ranger/issues
NeedsCompilation: yes
Packaged: 2024-11-08 05:11:24 UTC; wright
Author: Marvin N. Wright [aut, cre],
  Stefan Wager [ctb],
  Philipp Probst [ctb]
Maintainer: Marvin N. Wright <cran@wrig.de>
Repository: CRAN
Date/Publication: 2024-11-08 07:40:02 UTC

=== debian/changelog ===
r-cran-ranger (0.17.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 15:48:41 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-rcpp,
                r-cran-matrix,
                r-cran-rcppeigen
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ranger
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ranger.git
 Homepage: https://cran.r-project.org/package=ranger

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian/ -type f -name CITATION -o -name ranger.h | xargs chmod -x

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-survival,
        r-cran-testthat
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/ranger_([-\d.]*)\.tar\.gz

## r-cran-ranger 0.18.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ranger
 Type: Package
 Title: A Fast Implementation of Random Forests
-Version: 0.17.0
-Date: 2024-11-08
+Version: 0.18.0
+Date: 2026-01-15
 Authors@R: c(
     person("Marvin N.", "Wright", email = "cran@wrig.de", role = c("aut", "cre")),
     person("Stefan", "Wager", role = "ctb"),
@@ -19,15 +19,15 @@
 Depends: R (>= 3.1)
 Suggests: survival, testthat
 Encoding: UTF-8
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 URL: https://imbs-hl.github.io/ranger/,
         https://github.com/imbs-hl/ranger
 BugReports: https://github.com/imbs-hl/ranger/issues
 NeedsCompilation: yes
-Packaged: 2024-11-08 05:11:24 UTC; wright
+Packaged: 2026-01-16 14:12:01 UTC; wright
 Author: Marvin N. Wright [aut, cre],
   Stefan Wager [ctb],
   Philipp Probst [ctb]
 Maintainer: Marvin N. Wright <cran@wrig.de>
 Repository: CRAN
-Date/Publication: 2024-11-08 07:40:02 UTC
+Date/Publication: 2026-01-16 16:30:02 UTC

=== debian/changelog ===
r-cran-ranger (0.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Thu, 29 Jan 2026 11:24:29 +0900

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                r-cran-matrix,
-               r-cran-rcppeigen
-Standards-Version: 4.7.0
+               r-cran-rcppeigen,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ranger
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ranger.git
 Homepage: https://cran.r-project.org/package=ranger
